/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kpl.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KPL_STUB__
#define __KPL_STUB__

#include <dcopstub.h>
#include <kmainwindow.h>
#include <dcopobject.h>
#include <config.h>


class KplApp_stub : virtual public DCOPStub
{
public:
    KplApp_stub( const QCString& app, const QCString& id );
    KplApp_stub( DCOPClient* client, const QCString& app, const QCString& id );
    virtual void newPlot();
    virtual bool openPlot( const QString& url );
    virtual bool openData( const QString& url );
    virtual void doPlot();
    virtual bool savePlot( const QString& url );
    virtual bool savePS( const QString& url, int landscape );
    virtual bool printPlot( const QString& printerName, const QString& fileName, int landscape, int numCopies );
    virtual void setAutoplotOption( int setting );
    virtual void setPathOption( int setting );
    virtual void setBoundingBoxOption( int setting );
    virtual void setPageFormat( double w, double h );
    virtual void setColors( const QString& colFrame, const QString& colGrid, const QString& colData );
    virtual void setOutputFormat( const QString& pres, int prec );
    virtual void setAutoplot( double x0, double w, double y0, double h, int gridmode, const QString& sx, const QString& sy, const QString& sh, int pathHeading, int ix, int iy, int ie, int logx, int logy, int errbars, int symb, int autoNorm, int autoFit );
    virtual void setAutofit( const QString& path, const QString& name, int nonLin, int errCol, const QString& errModPath, const QString& errModName, int itMax, double tol, int symb, const QString& color, int showDlg, int savePar, int follow );
    virtual bool loadAutofitPar( const QString& url );
    virtual bool setAutofitPar( int iPar, double value );
    virtual bool enableFitPar( int iPar, int fit );
    virtual bool loadErrModPar( const QString& url, int iArr );
    virtual bool setErrModPar( int iPar, double value, int iArr );
    virtual bool deleteItem( int iItem );
    virtual bool moveItem( int is, int id );
    virtual void newFrameItem( double x0, double w, double y0, double h, double xmin, double xmax, double ymin, double ymax, int logx, int logy, int ndigx, int ndigy, const QString& colFrame, const QString& colGrid, double xtic, double ytic, int mticx, int mticy, int gridmode, int iex, int iey, const QString& sx, const QString& sy, const QString& sh, double relSize, int active );
    virtual void newAutoFrameItem();
    virtual bool newArrayItem( const QString& path, int ix, int iy, int ie, int istart, int n, int errbars, int symb, const QString& color, double fx, double fy, int active );
    virtual bool newFunItem( const QString& path, const QString& name, double xmin, double xmax, double dx, int symb, const QString& color, double fx, double fy, int active );
    virtual bool newParFunItem( const QString& pathx, const QString& namex, const QString& pathy, const QString& namey, double tmin, double tmax, double dt, int symb, const QString& color, double fx, double fy, int active );
    virtual void newLegendItem( int symb, const QString& colSymb, double x, double y, const QString& text, const QString& colText, double xoff, double yoff, double relSize, int active );
    virtual bool autoScaleFrame( int iItem, int autoNorm );
    virtual bool loadPar( const QString& url, int iItem, int yFun );
    virtual bool setPar( int iItem, int iPar, double value, int yFun );
    virtual bool setArrayRange( int iItem, int iStart, int n );
    virtual bool addFitItems( int erase, int iArr, int iFun, int errCol, const QString& errModPath, const QString& errModName );
    virtual bool fit( int nonLin, int savePar, int follow );
    virtual double chiSquare();
    virtual bool saveFitPar( const QString& url );
    virtual bool exportValues( const QString& url, int iItem );
};


#endif
